import service from '@/utils/request'

// 查询所有项目
export const getAllProject = (data) => {
    return service({
        url: '/project/queryAllProject',
        method: 'get'
    })
}

// 查询项目文件
export const getProjectFile = (data) => {
    return service({
        url: '/project/queryFileList',
        method: 'post',
        data
    })
}

// 查询文件类型
export const getFileType = () => {
    return service({
        url: '/file/queryFileGenre',
        method: 'get'
    })
}

// 项目文件上传
export const createProjectFile = (data) => {
    return service({
        url: '/project/createProjectFile',
        method: 'post',
        data: data
    })
}

// 项目文件预览
export const previewProjectFile = (data) => {
    return service({
        url: '/file/filePreview',
        method: 'get',
        params:data,
        responseType: 'blob'
    })
}

// 查询项目费用类型
export const getProjectCostType = () => {
    return service({
        url: '/finance/queryProjectFeeGenre',
        method: 'get'
    })
}

// 查询项目费用
export const getProjectCost = (data) => {
    return service({
        url: '/expenses/queryProjectFeeList',
        method: 'post',
        data
    })
}
