import { createRouter, createWebHistory } from "vue-router";


// @ts-ignore
let routes= [
    {
        path: '/',
        name: 'login',
        //使用import可以路由懒加载，如果不使用，太多组件一起加载会造成白屏
        component: () => import('@/view/login/login.vue')
    },
    {
        path: '/navigation',
        name: 'navigation',
        component: () => import('@/view/navigation/navigation.vue'),
        children: [
            {
                path: 'dashboard',
                name: 'dashboard',
                component: () => import('@/view/dashboard/dashboard.vue')
            },
            {
                path: 'project',
                name: 'project',
                component: () => import('@/view/project/project.vue')
            },
            {
                path: 'finance',
                name: 'finance',
                component: () => import('@/view/finance/finance.vue'),
                children:[
                    {
                        path: 'workHours',
                        name: 'workHours',
                        component: () => import('@/view/finance/components/workHours.vue')
                    },
                    {
                        path: 'projectCost',
                        name: 'projectCost',
                        component: () => import('@/view/finance/components/projectCost.vue')
                    },
                    {
                        path: 'projectPayment',
                        name: 'projectPayment',
                        component: () => import('@/view/finance/components/projectPayment.vue')
                    },
                    {
                        path: 'costDetail',
                        name: 'costDetail',
                        component: () => import('@/view/finance/components/costDetail.vue')
                    },
                    {
                        path: 'staffCost',
                        name: 'staffCost',
                        component: () => import('@/view/finance/components/staffCost.vue')
                    },
                    {
                        path: 'departmentCost',
                        name: 'departmentCost',
                        component: () => import('@/view/finance/components/departmentCost.vue')
                    },
                ]
            },
            {
                path: 'approve',
                name: 'approve',
                component: () => import('@/view/approve/approve.vue')
            },
        ]
    },
    //{
    //配置404页面
    //path: '/:catchAll(.*)',
    //name: '404',
    //component: () => import(''),
    //}
]
// 路由
const router = createRouter({
    history: createWebHistory(),
    routes
})
// 导出
export default router
